package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractESignTemplateInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractESignTemplateInfo()
    {
        this("id");
    }
    protected AbstractESignTemplateInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.esign.ESignTemplateFileEntryCollection());
    }
    /**
     * Object: 电子签模板 's 电子签文件模板 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateFileEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateFileEntryCollection)get("entrys");
    }
    /**
     * Object:电子签模板's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object: 电子签模板 's 应用视图 property 
     */
    public com.kingdee.shr.base.syssetting.UIViewInfo getUipk()
    {
        return (com.kingdee.shr.base.syssetting.UIViewInfo)get("uipk");
    }
    public void setUipk(com.kingdee.shr.base.syssetting.UIViewInfo item)
    {
        put("uipk", item);
    }
    /**
     * Object:电子签模板's e 签宝模板编码property 
     */
    public String getESignTemplateNum()
    {
        return getString("eSignTemplateNum");
    }
    public void setESignTemplateNum(String item)
    {
        setString("eSignTemplateNum", item);
    }
    /**
     * Object:电子签模板's X坐标property 
     */
    public java.math.BigDecimal getPositionX()
    {
        return getBigDecimal("positionX");
    }
    public void setPositionX(java.math.BigDecimal item)
    {
        setBigDecimal("positionX", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("00725EEB");
    }
}